Bug 975699

Summary: [abrt] Zim-0.60-1.fc19: socket.py:224:meth:error: [Errno 2] No such file or directory
Product: [Fedora] Fedora Reporter: arnav <arnavkalra007>
Component: ZimAssignee: Robin Lee <robinlee.sysu>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: atenrok, eblix08, fabian, robinlee.sysu
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:24297ed8d5fb28326950878945e6eaa8506c473f
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 10:37:36 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: core_backtrace
none
File: environ none

Description arnav 2013-06-19 03:17:29 EDT
Version-Release number of selected component:
Zim-0.60-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/zim /home/arnav/Notebooks/Journal/notebook.zim
dso_list:       python-libs-2.7.5-1.fc19.i686
executable:     /usr/bin/zim
kernel:         3.9.5-301.fc19.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
socket.py:224:meth:error: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/bin/zim", line 74, in <module>
    zim.main(argv)
  File "/usr/lib/python2.7/site-packages/zim/__init__.py", line 445, in main
    gui = server.get_notebook(notebook)
  File "/usr/lib/python2.7/site-packages/zim/ipc.py", line 805, in get_notebook
    return self.get_proxy(RemoteObject(self._notebookklass, uri), open)
  File "/usr/lib/python2.7/site-packages/zim/ipc.py", line 785, in get_proxy
    if not self.has_object(remoteobject):
  File "/usr/lib/python2.7/site-packages/zim/ipc.py", line 750, in call
    conn = Client(SERVER_ADDRESS, SERVER_ADDRESS_FAMILY)
  File "/usr/lib/python2.7/multiprocessing/connection.py", line 173, in Client
    c = SocketClient(address)
  File "/usr/lib/python2.7/multiprocessing/connection.py", line 301, in SocketClient
    s.connect(address)
  File "/usr/lib/python2.7/socket.py", line 224, in meth
    return getattr(self._sock,name)(*args)
error: [Errno 2] No such file or directory

Local variables in innermost frame:
self: <socket._socketobject object at 0x8995294>
args: ('/tmp/zim-arnav/zim-server-socket',)
name: 'connect'

Potential duplicate: bug 878665
Comment 1 arnav 2013-06-19 03:17:35 EDT
Created attachment 762764 [details]
File: backtrace
Comment 2 arnav 2013-06-19 03:17:40 EDT
Created attachment 762765 [details]
File: core_backtrace
Comment 3 arnav 2013-06-19 03:17:45 EDT
Created attachment 762766 [details]
File: environ
Comment 4 Robin Lee 2013-08-24 01:08:41 EDT
*** Bug 885262 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2015-01-09 13:28:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:37:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.